import { ChartAnnotation, ChartSettings, EntityType, QueryReturn } from '@metad/ocap-core';
import { EChartsOptions, ICoordinate } from './types';
export declare function gatherCoordinates(coordinates: ICoordinate[], type: 'pie' | string, options: EChartsOptions): any;
/**
 * get coordinates by trellis or single coordinate
 *
 * @param data
 * @param chartAnnotation
 * @param entityType
 * @param settings
 * @param options
 * @param coordinateType
 * @param cartesianCoordinate
 * @returns
 */
export declare function coordinates(data: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: EChartsOptions, coordinateType: 'grid' | 'pie', cartesianCoordinate: (...i: any) => ICoordinate): ICoordinate[];
