import { ChartAnnotation, ChartDimension, ChartMeasure, ChartSettings, ChartOptions, EntityType } from '@metad/ocap-core';
import { IDataset } from './types';
export declare function stackedForMeasure(results: Array<unknown>, measure: ChartMeasure, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options?: ChartOptions): IDataset;
export declare function getMatrixForMeasure(items: Array<unknown>, entityType: EntityType, category: ChartDimension, category2: ChartDimension, measure: string): {
    categoryValues: {
        value: any;
        label: any;
    }[];
    category2Values: {
        value: any;
        label: any;
    }[];
    source: any[][];
};
export declare function getDatasetIdForMeasure(name: string): string;
